**Source URL:** https://limited.veevavault.dev/regulatory/vault-api/api-reference/22.3/vault-objects/cascade-delete-object-record.md

# Cascade Delete Object Record



This asynchronous endpoint will delete a single parent object record and all related children and grandchildren.

<Endpoint path="/api/{version}/vobjects/{object_name}/{object_record_id}/actions/cascadedelete" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `text/csv` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v16.0/vobjects/product__v/00P000000000302/actions/cascadedelete

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "job_id": 27301,
  "url": "/api/v16.0/services/jobs/27404"
}

```
</CodeExample>

---

**Previous:** [Delete Object Records](/regulatory/vault-api/api-reference/22.3/vault-objects/delete-object-records)  
**Next:** [Retrieve Results of Cascade Delete Job](/regulatory/vault-api/api-reference/22.3/vault-objects/retrieve-results-of-cascade-delete-job)